{% extends "index.html" %}
{% load static %}
{% block content%}
<h1>Личный кабинет</h1>
<div class="person">
    <div class="form3">
        <span class="close"></span>
        <form action="" method="POST">
            {% csrf_token %}
            {% for person in person %}
            <li>
                <label> Имя:
                    <input name="name2" class="" value="{{person.name}}">
                </label>
            </li>
            <li>
                <label> Фамилия:
                    <input name="surname2" class="" value="{{person.surname}}">
                </label>
            </li>
            <li>
                <label> Отчество:
                    <input name="middle_name2" class="" value="{{person.middle_name}}">
                </label>
            </li>
            <li>
                Пол:
                <label><input type="radio" {% if  person.sex == 'Женский' %} checked {% endif %} name="sex2" value="Женский"> Женский</label>
                <label><input type="radio" {% if  person.sex == 'Мужской' %} checked {% endif %} name="sex2" value="Мужской"> Мужской</label>
            </li>
            <li>
                <label> Дата рождения:
                    <input name="date2" type="date" class="" value="{{ person.date_of_birth|date:"Y-m-d" }}">
                </label>
            </li>
            <li>
                <label> E-mail:
                    <input name="e-mail2" type="email" class="" value="{{ person.email }}">
                </label>
            </li>
            <li>
                <label> Номер телефона:
                    <input name="phone2" type="tel" value="{{ person.phone }}">
                </label>
            </li>
            <li>
                <label> Логин:
                    <input name="login3" id="{{ person.id_customer }}" type="log" value="{{ person.login }}">
                </label>
            </li>
            <li>
                <label> Пароль:
                    <input name="pass3" type="password" value="{{ person.password }}">
                </label>
            </li>
                <button id="redact">Редактировать</button>
                {% endfor %}
        </form>
    </div>
    <div class="">
    {% if userr == None %}
      <h2>Вы не авторизованы!</h2>
    {% else %}
      {% for person in person %}
      <div class="row">
      {% if  person.sex == 'Мужской' %}
          <img src="{% static "/images/m.jpg" %}">
      {% else %}
          <img src="{% static "/images/f.jpg" %}">
      {% endif %}
      <div class="person_info">
      <p>{{ person.surname }} {{ person.name }} {{ person.middle_name }}</p>
      <p>Дата рождения: {{ person.date_of_birth }}</p>
      <p>E-mail: {{ person.email }}</p>
      <p>Номер телефона: {{ person.phone }}</p>
      </div>
      <button class="change_person">Редактировать</button>
      </div>
      {% endfor %}
    <div class="tabl_zak">
        <h1>Заказы</h1>
        <table border="1" class="orders">
            <tr>
                <td>КОЛ-ВО ТОВАРОВ</td>
                <td>СУММА ЗАКАЗА</td>
                <td>ДАТА ЗАКАЗА</td>
                <td>СТАТУС ЗАКАЗА</td>
            </tr> 
        {% for zakaz in zakaz %}
                <tr>
                    <td>{{ zakaz.amount }}</td>
                    <td>{{ zakaz.amount_of_money }}</td>
                    <td>{{ zakaz.order_date }}</td>
                    <td>{{ zakaz.status }}</td>
                </tr>
        {% endfor %}
    </table>
    </div>
    {% endif %}
</div>
</div>
<br>
<br>
<br>
<br>
<br>
{% endblock content %}
